Bug 50209 - Won't work with appletalk printers
Won't work with appletalk printers
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-07-28 00:45 EDT by Roland Roberts
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-30 15:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roland Roberts 2001-07-28 00:45:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12smp i586; Nav)

Description of problem:
With the rhs-printfilters, I had an appletalk printer working with the
following printcap entry:


The spool directory has a .paprc file containing the printer name and the
old "general.cfg" file reads

export DESIRED_TO=ps
export PAPERSIZE=letter

However, after upgrading from 7.0 to 7.1, the rhs-printfilters were removed
and I can't seem to get equivalent functionality out of
printtool/printconf.  Even after configuring the printer as a local
printer, then hacking the printcap entry to change the "of" and "lpd"
entries to match the existing "laser" definition.  I can't figure out where
the print output is trying to go.

I can take a plain text file, and get it to print by running "mpage <file>
| ofpap".

Back arount RH 6.1/6.2, I contributed a change to the rhs-printfilters
which allows appletalk printers to work.  That change, in modified form,
was put in but no front-end configuration was available.  Now I can't even
get a backend change to make it work :-(

How reproducible:

Steps to Reproduce:
1. Configure local printer
2. Modify printcap entry for "of" and "lpd" entries
3. Restart lpd
4. Try to print

Actual Results:  Print reports JSUCC, but nothing happens.  I also see the
ofpap activity in /var/log/messages:Jul 28 00:35:45 tycho lpd: lpd shutdown
Jul 28 00:35:47 tycho lpd: lpd startup succeeded
Jul 28 00:35:56 tycho ofpap[26936]: starting for root
Jul 28 00:35:56 tycho ofpap[26936]: accounting with psa[26937]
Jul 28 00:35:56 tycho ofpap[26936]: sending to pap[26938]
Jul 28 00:35:56 tycho ofpap[26936]: straight text
Jul 28 00:36:05 tycho ofpap[26936]: 26938 done
Jul 28 00:36:05 tycho ofpap[26936]: 26937 done
Jul 28 00:36:05 tycho ofpap[26936]: pausing
Jul 28 00:36:05 tycho logger: /usr/bin/magicfilter-t /tmp/printconf.Z642pF
--debug --debug --debug -Aroot@tycho+928 -CA -D2001-07-28-00:35:56.484 -Ff
-Htycho.rlent.pnet -Jmf.cfg -Nmf.cfg -Pjunk -Qjunk -aacct -b493
-d/var/spool/lpd/junk -edfA928tycho.rlent.pnet -fmf.cfg -htycho.rlent.pnet
-j928 -kcfA928tycho.rlent.pnet -l66 -nroot -sstatus
-t2001-07-28-00:36:05.000 -w80 -x0 -y0 acct
Jul 28 00:36:05 tycho ofpap[26936]: restarting
Jul 28 00:36:05 tycho ofpap[26936]: done

Expected Results:  Stuff should have gone to the printer....

Additional info:
Comment 1 Crutcher Dunnavant 2001-08-06 12:18:05 EDT
How-to hijack a printconf spool:

1) layout the spool you want in printconf.
2) restart lpd, causing the spool to take effect.
3) stop lpd.
4) move the spool's printcap stanza from /etc/printcap to /etc/printcap.local;
and delete the VOLATILE file in the spool's directory.
5) run printconf, and delete the spool.
6) restart lpd. printconf no longer knows about the spool, and will not delete
it, it is your's to modify.

And, with LPRng, the proper way to send output to a delivery script is:
This prints to a command, not a file.

It is not a matter of supporting the printer interface. It is a matter of not
shipping netatalk.

Note You need to log in before you can comment on or make changes to this bug.